/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
#pragma once

#include "resource.h"

// CGLStlSaveOptionDlg ダイアログ

class CGLStlSaveOptionDlg : public CDialog
{
	DECLARE_DYNAMIC(CGLStlSaveOptionDlg)

public:
	CGLStlSaveOptionDlg(CWnd* pParent = NULL);
	virtual ~CGLStlSaveOptionDlg();

// ダイアログ データ
	enum { IDD = IDD_STL_OPTION };

	BOOL IsBinary() const{ return m_bBinary; }
	void SetBinary(BOOL bBinary){ m_bBinary = bBinary; }

	BOOL IsSingle() const{ return m_bSingle; }
	void SetSingle(BOOL bSingle){ m_bSingle = bSingle; }

protected:
	virtual void DoDataExchange(CDataExchange* pDX);

	afx_msg void OnBnClickedCheckBinary();
	afx_msg void OnBnClickedMeshSaveSingle();
	DECLARE_MESSAGE_MAP()

private:
	BOOL m_bBinary;
	BOOL m_bSingle;
};
